import file_load 

import json
import os

import numpy

# file_load.make_data()

similarity = file_load.similarity()
corelation = file_load.corelation()

table = {}

for i in corelation:
	table[i["from"],i["to"]]=i["psr"]

x=[]
y=[]

for i in similarity:
	x.append(abs(table[i["from"],i["to"]]))
	y.append(i["similarity"])

print(numpy.corrcoef(x,y)[0,1])

s="similarity, corelation\n"
for i in similarity:
	s+=str(i["similarity"])+','+str(table[i["from"],i["to"]])+'\n'
with open("Temp/point.csv","w") as point:
	point.write(s)

